Subject: Ticket Assigned - Order # 2001894424 compliant
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jul 2021 06:21:16 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order # 2001894424 compliant  Dear max team

I sent several mails with no response from your side

Why there is no reply ?!!!!
No updates yet ?
I return the items from eid el fitr 11 may and till now no refund 
That means more than 45 days waiting
Is it a normal procedure???
Is it normal to wait ?

I need a feedback ASAP
I need my money back or items

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2773160